Fatal error compiling: 无效的目标发行版: 1.8 -> [Help 1] (zhuan)

http://blog.csdn.net/z18137017273/article/details/53033613

*********************************************************

 

使用JDK1.7 打Maven 包是出现异常 :Fatal error compiling: 无效的目标发行版: 1.8 -> [Help 1]



<build>

<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<configuration>
        <source>1.7</source>  
        <target>1.7</target>
</configuration>
</plugin>
</plugins>

</build>

再不行的话,加上下面的

<plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
<configuration>
<source>1.7</source>
<target>1.7</target>
</configuration>
</plugin>

 

posted @ 2016-12-14 16:49 zhao1949 阅读(...) 评论(...) 编辑 收藏